if not _G.charSelectExists then return end

local E_MODEL_FRGIWI = smlua_model_util_get_id("froggiwi_geo")

local TEX_FRGIWI = get_texture_info("giwi_icon")

VOICETABLE_FRGIWI = {
    [CHAR_SOUND_ATTACKED] = "giwi_hurt_hard.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "giwi_wah.ogg",
    [CHAR_SOUND_HAHA] = "giwi_haahaa.ogg",
    [CHAR_SOUND_HAHA_2] = "giwi_haahaa2.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "giwi_here_we_go.ogg",
    [CHAR_SOUND_HOOHOO] = "giwi_jump.ogg",
    [CHAR_SOUND_ON_FIRE] = "giwi_burning.ogg",
    [CHAR_SOUND_OOOF] = "giwi_oof.ogg",
    [CHAR_SOUND_OOOF2] = "giwi_oof_2.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "giwi_punch3.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "giwi_punch2.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "giwi_punch1.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "giwi_bowser.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "giwi_boing.ogg",
    [CHAR_SOUND_WAAAOOOW] = "giwi_fall.ogg",
    [CHAR_SOUND_WAH2] = "giwi_jump.ogg",
    [CHAR_SOUND_WHOA] = "giwi_pickup.ogg",
    [CHAR_SOUND_YAHOO] = "giwi_yahoo.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {"giwi_yahoo.ogg", "giwi_yippee.ogg"},
    [CHAR_SOUND_YAH_WAH_HOO] = {"giwi_yah.ogg", "giwi_wah2.ogg", "giwi_hoo.ogg"},
    [CHAR_SOUND_OKEY_DOKEY] = "giwi_okay.ogg",
    [CHAR_SOUND_LETS_A_GO] = "giwi_lets_a_go.ogg",
    [CHAR_SOUND_DYING] = "giwi_dead.ogg",
    [CHAR_SOUND_DROWNING] = "giwi_drowning.ogg",
    [CHAR_SOUND_EEUH] = "giwi_eugh.ogg",
    [CHAR_SOUND_MAMA_MIA] = "giwi_ooh.ogg",
    [CHAR_SOUND_DOH] = "giwi_oof.ogg",
    [CHAR_SOUND_HRMM] = "giwi_pickup.ogg",
    [CHAR_SOUND_PANTING] = "giwi_pant.ogg",
    [CHAR_SOUND_UH] = "giwi_oof.ogg",
    [CHAR_SOUND_IMA_TIRED] = "giwi_imatired.ogg",
    [CHAR_SOUND_SNORING1] = "giwi_snoring1.ogg",
    [CHAR_SOUND_SNORING2] = "giwi_snoring2.ogg",
    [CHAR_SOUND_SNORING3] = {"giwi_snoring2.ogg", "giwi_snoring1.ogg", "giwi_snoring3.ogg"},
    [CHAR_SOUND_YAWNING] = "giwi_yawning.ogg",
    [CHAR_SOUND_COUGHING1] = "giwi_coughing1.ogg",
    [CHAR_SOUND_COUGHING2] = "giwi_coughing1.ogg",
    [CHAR_SOUND_COUGHING3] = "giwi_coughing1.ogg"
}

CT_FRGIWI = _G.charSelect.character_add("Giwi", {"Level 100 in Among Us", "", ""}, "GeloxNG", { r = 130, g = 76, b = 107 }, E_MODEL_FRGIWI, CT_TOAD, TEX_FRGIWI)
_G.charSelect.character_add_voice(E_MODEL_FRGIWI, VOICETABLE_FRGIWI)
