-- name: [CS] Frog Wildcard Models
-- description: [CS] Frog Wildcard Models\nBy GeloxNG\n\n
-- pausable: true

if not _G.charSelectExists then return end

--- @param m MarioState
local function mario_update(m)
    if active_player(m) == 0 then return end

    local voiceTable = _G.charSelect.character_get_voice(m)
    if voiceTable == VOICETABLE_FRGIWI then
        _G.charSelect.voice.snore(m)
    end

end

--- @param m MarioState
--- @param sound CharacterSound
local function character_sound(m, sound)
    local voiceTable = _G.charSelect.character_get_voice(m)
    if voiceTable == VOICETABLE_FRGIWI  then
        return _G.charSelect.voice.sound(m, sound)
    end
end

hook_event(HOOK_MARIO_UPDATE, mario_update)
hook_event(HOOK_CHARACTER_SOUND, character_sound)